#!/usr/bin/env perl
use strict;
use warnings;

my $line = "";
my $n;

foreach my $arg (@ARGV){
	($arg =~ m/grep$/) and next;	# cut out grep command
	if ($arg =~ m/^-[^-]/){
		# convert options
		$arg =~ s/[n]//g;
		(!($arg =~ m/r/)) and $arg .= 'n';
		$arg =~ s/[IEr]//g;
		$arg =~ s/F/Q/g;
	}
	(length $line > 0) and $line .= " ";
	$line .= $arg;
	$n++;
	($n == 3) and last;	# strip filenames
}
$line = "ack --nogroup -a --nobinary $line";
#~ print "($line)\n";
exec $line
